Open CASCADE Technology: GeomInt_ResConstraintOfMyGradientbisOfTheComputeLineOfWLApprox Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
GeomInt_ResConstraintOfMyGradientbisOfTheComputeLineOfWLApprox Class Reference

`#include <GeomInt_ResConstraintOfMyGradientbisOfTheComputeLineOfWLApprox.hxx>`

## Public Member Functions
| GeomInt_ResConstraintOfMyGradientbisOfTheComputeLineOfWLApprox (const GeomInt_TheMultiLineOfWLApprox &SSP, AppParCurves_MultiCurve &SCurv, const Standard_Integer FirstPoint, const Standard_Integer LastPoint, const Handle< AppParCurves_HArray1OfConstraintCouple > &Constraints, const math_Matrix &Bern, const math_Matrix &DerivativeBern, const Standard_Real Tolerance=1.0e-10)
Standard_Boolean | IsDone () const
Standard_Real | Error () const
const math_Matrix & | ConstraintMatrix () const
const math_Vector & | Duale () const
const math_Matrix & | ConstraintDerivative (const GeomInt_TheMultiLineOfWLApprox &SSP, const math_Vector &Parameters, const Standard_Integer Deg, const math_Matrix &DA)
const math_Matrix & | InverseMatrix () const

## Protected Member Functions
Standard_Integer | NbConstraints (const GeomInt_TheMultiLineOfWLApprox &SSP, const Standard_Integer FirstPoint, const Standard_Integer LastPoint, const Handle< AppParCurves_HArray1OfConstraintCouple > &TheConstraints) const
Standard_Integer | NbColumns (const GeomInt_TheMultiLineOfWLApprox &SSP, const Standard_Integer Deg) const

## Constructor & Destructor Documentation

GeomInt_ResConstraintOfMyGradientbisOfTheComputeLineOfWLApprox::GeomInt_ResConstraintOfMyGradientbisOfTheComputeLineOfWLApprox | ( | const GeomInt_TheMultiLineOfWLApprox & | SSP,
|  | AppParCurves_MultiCurve & | SCurv,
|  | const Standard_Integer | FirstPoint,
|  | const Standard_Integer | LastPoint,
|  | const Handle< AppParCurves_HArray1OfConstraintCouple > & | Constraints,
|  | const math_Matrix & | Bern,
|  | const math_Matrix & | DerivativeBern,
|  | const Standard_Real | Tolerance = `1.0e-10`
| ) |  |

## Member Function Documentation

const math_Matrix& GeomInt_ResConstraintOfMyGradientbisOfTheComputeLineOfWLApprox::ConstraintDerivative | ( | const GeomInt_TheMultiLineOfWLApprox & | SSP,
|  | const math_Vector & | Parameters,
|  | const Standard_Integer | Deg,
|  | const math_Matrix & | DA
| ) |  |

const math_Matrix& GeomInt_ResConstraintOfMyGradientbisOfTheComputeLineOfWLApprox::ConstraintMatrix | ( |  | ) | const

const math_Vector& GeomInt_ResConstraintOfMyGradientbisOfTheComputeLineOfWLApprox::Duale | ( |  | ) | const

Standard_Real GeomInt_ResConstraintOfMyGradientbisOfTheComputeLineOfWLApprox::Error | ( |  | ) | const

const math_Matrix& GeomInt_ResConstraintOfMyGradientbisOfTheComputeLineOfWLApprox::InverseMatrix | ( |  | ) | const

Standard_Boolean GeomInt_ResConstraintOfMyGradientbisOfTheComputeLineOfWLApprox::IsDone | ( |  | ) | const

Standard_Integer GeomInt_ResConstraintOfMyGradientbisOfTheComputeLineOfWLApprox::NbColumns | ( | const GeomInt_TheMultiLineOfWLApprox & | SSP,
|  | const Standard_Integer | Deg
| ) |  | const
| protected

Standard_Integer GeomInt_ResConstraintOfMyGradientbisOfTheComputeLineOfWLApprox::NbConstraints | ( | const GeomInt_TheMultiLineOfWLApprox & | SSP,
|  | const Standard_Integer | FirstPoint,
|  | const Standard_Integer | LastPoint,
|  | const Handle< AppParCurves_HArray1OfConstraintCouple > & | TheConstraints
| ) |  | const
| protected

The documentation for this class was generated from the following file:

- GeomInt_ResConstraintOfMyGradientbisOfTheComputeLineOfWLApprox.hxx